Οδηγίες TLSv1.2

  1. I. Αντιµετώπιση προβληµάτων συμβατότητας
    1. 1. Έλεγχος συμβατότητας προγράμματος περιήγησης (browser) με το TLSv1.2
    2. 2. Έλεγχος έκδοσης browser
    3. 3. Έλεγχος έκδοσης λειτουργικού συστήματος
  2. II. Οδηγίες συμβατότητας για TLSv1.2
    1. 1. Συμβατότητα λειτουργικού συστήματος
    2. 2. Συμβατότητα browser
  3. III. Αναβάθμιση για συμβατότητα
    1. 1. Βήματα που καθιστούν δυνατό το TLSv1.2 για τον browser
    2. 2. Αναβάθμιση έκδοσης browser
    3. 3. Αναβάθμιση έκδοσης λειτουργικού συστήματος

I. Αντιµετώπιση προβληµάτων συμβατότητας

1. Έλεγχος συμβατότητας προγράμματος περιήγησης (browser) με το TLSv1.2

Ο πελάτης μπορεί να ελέγξε τη συμβατότητα του browser του σε σχέση με το TLSv1.2, επισκεπτόμενος το παρακάτω URL:
https://quickstream.westpac.com.au/quickportal/BrowserTlsVersionView

Ο browser είναι συμβατός

Εάν ο browser υποστηρίζει το TLSv1.2, ο πελάτης θα δει το παρακάτω.

browser supports latest image version image needs to be placed

Ο browser δεν είναι συμβατός

Εάν ο browser δεν υποστηρίζει το TLSv1.2, ο πελάτης θα λάβει την παρακάτω σελίδα, όπου τα TLS 1.0 και TLS 1.1 είναι απενεργοποιημένα.

browser needs to updated image version image needs to be placed

2. Έλεγχος έκδοσης browser

Ο πελάτης μπορεί να ελέγξει την έκδοση του browser του επισκεπτόμενος το παρακάτω URL:
https://www.whatismybrowser.com/

3. Έλεγχος έκδοσης λειτουργικού συστήματος

Ο πελάτης μπορεί να ελέγξει την έκδοση OS του επισκεπτόμενος το παρακάτω URL:
http://whatsmyos.com/

II. Οδηγίες συμβατότητας για TLSv1.2

1. Συμβατότητα λειτουργικού συστήματος

Λειτουργικό σύστημα Έκδοση Οδηγίες πελάτη
Mac - Mac OS X 10.9 και χαμηλότερη Το λειτουργικό σας σύστημα δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί σε Mac OS X 10.10 ή υψηλότερο
Εάν δεν είναι δυνατή η αναβάθμιση του λειτουργικού σας συστήματος, τότε θα πρέπει να αλλάξετε τη συσκευή.
Windows - Windows 3.1
- Windows XP
- Windows 95
- Windows NT
- Windows Vista
Το λειτουργικό σας σύστημα δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί σε Windows 7 ή υψηλότερο
Εάν δεν είναι δυνατή η αναβάθμιση του λειτουργικού σας συστήματος, τότε θα πρέπει να αλλάξετε τη συσκευή.
iOS - κάτω από iOS 7 Το λειτουργικό σας σύστημα δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
Εάν δεν είναι δυνατή η αναβάθμιση του λειτουργικού σας συστήματος, τότε θα πρέπει να αλλάξετε τη συσκευή.
Android - Android 4.4 και χαμηλότερο Το λειτουργικό σας σύστημα δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί σε 5 ή υψηλότερο.
Εάν δεν είναι δυνατή η αναβάθμιση του λειτουργικού σας συστήματος, τότε θα πρέπει να αλλάξετε τη συσκευή.

2. Συμβατότητα browser

Google Chrome

Έκδοση Chrome Λειτουργικό σύστημα Οδηγίες πελάτη
v1 έως 29 - Windows 7 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
- Android
- iOS 9 και πάνω
- Chrome OS
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v30 έως 58 - Windows 7 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
- Android
- iOS 9 και πάνω
- Chrome OS
Ο web browser σας υποστηρίζεται.

Google Android OS Browser

Έκδοση Google Android OS Λειτουργικό σύστημα Οδηγίες πελάτη
v1 έως v4.0.4 Android Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v4.1 έως v4.4.4 Android Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
v5 έως v8 Android Ο browser σας υποστηρίζει το TLS 1.2.

Mozilla Firefox

Έκδοση Mozilla Firefox Λειτουργικά συστήματα Οδηγίες πελάτη
v1 έως v23 - Windows 7 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
- Android 4.0.3 και πάνω
- iOS 9.0 και πάνω
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v24 έως v26 - Windows 7 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
- Android 4.0.3 και πάνω
- iOS 9.0 και πάνω
Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
v27 έως v54 - Windows 7 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
- Android 4.0.3 και πάνω
- iOS 9.0 και πάνω
Ο browser σας υποστηρίζει το TLS 1.2.

Mozilla Firefox ESR

Έκδοση Mozilla Firefox ESR Λειτουργικά συστήματα Οδηγίες πελάτη
v10 έως v17.0.10 - Windows XP SP2 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v24 έως v24.1.1 - Windows XP SP2 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
v31 έως v52.1 - Windows XP SP2 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
Ο browser σας υποστηρίζει το TLS 1.2.

Microsoft Internet Explorer

Έκδοση Internet Explorer Λειτουργικό σύστημα Οδηγίες πελάτη
IE8 Windows XP Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
IE8 Windows Server 2003 Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
IE8 Windows Vista Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
IE8 Windows 7 Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας
IE8 Windows Server 2008 Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
IE8 Windows Server 2008 R2 Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
IE8 Windows Server 2008 R2 Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
IE9 Windows Vista Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
IE9 Windows 7 Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
IE9 Windows Server 2008 Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
IE9 Windows Server 2008 R2 Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
IE10 Windows 7 Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
IE10 Windows 8 Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
IE10 Windows Server 2008 R2 Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
IE10 Windows Server 2012 Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
IE11 Windows 7 Ο browser σας υποστηρίζει το TLS 1.2
IE11 Windows Server 2008 R2 Ο browser σας υποστηρίζει το TLS 1.2.
IE11 Windows 8.1 Ο browser σας υποστηρίζει το TLS 1.2.
IE11 Windows Server 2012 R2 Ο browser σας υποστηρίζει το TLS 1.2.

Microsoft Internet Explorer Mobile

Έκδοση Internet Explorer Mobile Λειτουργικό σύστημα Οδηγίες πελάτη
v7 - Windows Phone 7
- Window Phone 7.5
- Window Phone 7.8
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v9 - Windows Phone 7
- Window Phone 7.5
- Window Phone 7.8
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v10 Windows Phone 8 Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
v11 Windows Phone 8.1 Ο browser σας υποστηρίζει το TLS 1.2.

Microsoft Edge

Έκδοση Microsoft Edge Λειτουργικό σύστημα Οδηγίες πελάτη
v12 Windows 10 v1507 Ο browser σας υποστηρίζει το TLS 1.2.
v13 Windows 10 v1511 Ο browser σας υποστηρίζει το TLS 1.2.
v14 Windows 10 v1607 Ο browser σας υποστηρίζει το TLS 1.2.
v15 Windows 10 v1703 Ο browser σας υποστηρίζει το TLS 1.2.
v16 Windows 10 v1709 Ο browser σας υποστηρίζει το TLS 1.2.

Opera

Έκδοση Opera Λειτουργικά συστήματα Οδηγίες πελάτη
v1 έως v9 - Windows 7 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
- Android 4.0 και πάνω
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v10 έως v12.17 - Windows 7 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
- Android 4.0 και πάνω
Θα πρέπει να ενεργοποιήσετε την υποστήριξη TLS 1.2 στον browser σας.
v12.18 - Windows 7 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
- Android 4.0 και πάνω
Ο browser σας υποστηρίζει το TLS 1.2.
v14 έως v16 - Windows 7 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
- Android 4.0 και πάνω
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v17 έως v45 - Windows 7 και πάνω
- Mac OS X 10.9 και πάνω
- Linux
- Android 4.0 και πάνω
Ο browser σας υποστηρίζει το TLS 1.2.

Apple Safari

Έκδοση Safari Λειτουργικά συστήματα Οδηγίες πελάτη
v1 - Mac OS X 10.2 και πάνω Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v2 έως v5 - Mac OS X 10.4, 10.5, 10.6, 10.7
- Windows XP
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v6 - MAC OS X 10.8 Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v7 έως v10 - Mac OS X 10.9, 10.10, 10.11, 10.12, 10.13
- iOS 1.0 και πάνω
Ο browser σας υποστηρίζει το TLS 1.2.
v3 έως v5 (iOS 3 και 4) - Mac OS X 10.2 και πάνω
- iOS 1.0 και πάνω
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v3 έως v5 (iOS 3 και 4) - Mac OS X 10.2 και πάνω
- iOS 1.0 και πάνω
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.

Apple Safari Mobile

Έκδοση Safari Mobile Λειτουργικά συστήματα Οδηγίες πελάτη
v3 iOS 1
iOS 2
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v4 έως v5 iOS 3
iOS 4
Ο web browser σας δεν υποστηρίζεται από το TLS 1.2 και πρέπει να αναβαθμιστεί.
v5 έως v6 iOS 5
iOS 6
Ο browser σας υποστηρίζει το TLS 1.2.
v7 iOS 7 Ο browser σας υποστηρίζει το TLS 1.2
v8 iOS 8 Ο browser σας υποστηρίζει το TLS 1.2
v9 iOS 9 Ο browser σας υποστηρίζει το TLS 1.2
v10 iOS 10 Ο browser σας υποστηρίζει το TLS 1.2
v11 iOS 11 Ο browser σας υποστηρίζει το TLS 1.2

III. Αναβάθμιση για συμβατότητα

1. Βήματα που καθιστούν δυνατό το TLSv1.2 για τον browser

Παρακάτω θα βρείτε βήματα για την επίλυση προβλημάτων συμβατότητας του TLSv1.2 με τους πιο συνήθεις internet browsers.

Microsoft Internet Explorer:

Βήματα για την ενεργοποίηση του TLS 1.2 στο Microsoft Internet Explorer

  1. Ανοίξτε το Internet Explorer και κάντε κλικ στο Εργαλεία > Επιλογές ίντερνετ.
  2. Επιλέξτε τα πεδία δίπλα στα TLS 1.1 και TLS 1.2 για να ενεργοποιήσετε την υποστήριξη αυτών των πρωτοκόλλων.
  3. Επιλέξτε τη μπάρα για Προχωρημένους.
  4. Κυλήστε με το ποντίκι στην ενότητα Ασφάλεια στο κάτω μέρος της λίστας ρυθμίσεων.
  5. Επιλέξτε τα πεδία δίπλα στα TLS 1.1 και TLS 1.2 για να ενeργοποιήσετε αυτά τα πρωτόκολλα.
  6. Απεπιλέξτε το πεδίο δίπλα στο SSL 3.0 για να απενεργοποιήσετε αυτή τη λειτουργία.
  7. Κάντε κλικ στο Εφαρμογή και OK.
  8. Κλείστε τον browser σας και επανεκκινήστε το Internet Explorer.

Ο browser σας είναι τώρα έτοιμος να υποστηρίξει το πρωτόκολλο TLS 1.2.

Mozilla Firefox:

Βήματα για την ενεργοποίηση του TLS 1.2 στο Mozilla Firefox

  1. Ανοίξτε το Firefox
  2. Στη μπάρα URL/διεύθυνσης, πληκτρολογήστε about:config και πατήστε Enter.
  3. Στο πεδίο Αναζήτηση, πληκτρολογήστε tls. Εντοπίστε και κάντε διπλό κλικ στην αναφορά security.tls.version.min
  4. Ρυθμίστε το Integer Value στο 3 για να ενεργοποιήσετε την υποστήριξη TLS 1.2.
  5. Κάντε κλικ στο OK
  6. Κλείστε τον browser σας και επανεκκινήστε τον Mozilla Firefox.

Ο browser σας είναι τώρα έτοιμος να υποστηρίξει το πρωτόκολλο TLS 1.2.

Google Chrome:

Βήματα για την ενεργοποίηση του TLS 1.2 στο Google Chrome

  1. Από τον browser, κάντε κλικ στη μπάρα εξατομίκευσης στην τέρμα δεξιά γωνία και κάντε κλικ στο ρυθμίσεις.
  2. Κυλήστε το ποντίκι προς τα κάτω στο Δίκτυο και κάντε κλικ στο αλλαγή ρυθμίσεων proxy
  3. Στις Ιδιότητες ίντερνετ, κάντε κλικ στη μπάρα για προχωρημένους και κυλήστε προς τα κάτω στο ασφάλεια. Επιλέξτε το πεδίο TLS 1.2.

Ο browser σας είναι τώρα έτοιμος να υποστηρίξει το πρωτόκολλο TLS 1.2.

Opera

  1. Ανοίξτε το Opera.
  2. Κάντε κλικ στο Ctrl συν F12.
  3. Κυλήστε προς τα κάτω στην ενότητα down to the Network section and click Change proxy settings...
  4. Επιλέξτε τη μπάρα για Προχωρημένους.
  5. Κυλήστε προς τα κάτω στην ενότητα Ασφάλεια και επιλέξτε τα πεδία δίπλα στα Χρήση TLS 1.1 και χρήση TLS 1.2.
  6. Κάντε κλικ στο ΟΚ.
  7. Κλείστε τον browser και επανεκκινήστε το Opera.

Ο browser σας είναι τώρα έτοιμος να υποστηρίξει το πρωτόκολλο TLS 1.2.

Apple Safari:

Δεν υπάρχει η επιλογή ενεργοποίησης πρωτοκόλλων SSL. Εάν ο πελάτης χρησιμοποιεί Safari έκδοση 7 και πάνω, τα TLS 1.1 και TLS 1.2 είναι αυτόματα ενεργοποιημένα.

2. Αναβάθμιση έκδοσης browser

Ο πελάτης μπορεί να επισκεφθεί τους σχετικούς συνδέσμους που αναφέρονται παραπάνω, προκειμένου να αναβαθμιστεί στην πιο πρόσφατη έκδοση browser.

Google Chrome
https://www.google.com/chrome/

Google Android OS Browser
https://play.google.com/store/apps/details?id=org.easyweb.browser&hl=en

Mozilla Firefox
https://www.mozilla.org/en-US/firefox/

Mozilla Firefox ESR
https://www.mozilla.org/en-US/firefox/organizations/

Microsoft Internet Explorer
https://www.microsoft.com/en-us/download/internet-explorer.aspx

Microsoft Internet Explorer Mobile
https://support.microsoft.com/en-us/help/12662/windows-phone-update-your-windows-phone

Opera
https://www.opera.com/o/ie-simple

Apple Safari
https://support.apple.com/downloads/safari

Apple Safari Mobile
https://support.apple.com/downloads/safari

3. Αναβάθμιση έκδοσης λειτουργικού συστήματος

Ο πελάτης θα πρέπει να επικοινωνήστε με την Υπηρεσία Εξυπηρέτησης Πελατών για περαιτέρω βοήθεια.